%define upstream_name    Math-BigInt
%define upstream_version 1.9993

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    2

Summary:    Arbitrary size integer/float math package

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl-devel
BuildArch:  noarch

%description
All operators (including basic math operations) are overloaded if you declare
your big integers as

  $i = new Math::BigInt '123_456_789_123_456_789';

Operations with overloaded operators preserve the arguments which is exactly
what you expect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc BENCHMARK BUGS CHANGES CREDITS GOALS HISTORY INSTALL LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO examples
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.999.300-2
+ Revision: f663c7a
- MassBuild#440: Increase release tag


